RCOM or 'Realistic' 'Combat' 'Overhaul' 'Mod' is a mod for S.T.A.L.K.E.R. - Call of Pripyat that aims to bring in a greater emphasis on realism. Additionally porting 'Clear sky' Levels to 'Call of Pripyat' which have been filled with new A-Life and content.

Report content RCOM Beta v.1.0.6
Filename
RCOM_Beta_v.1.0.6.zip
Category
Full Version
Uploader
MacBradley
Date
Size
141.36mb (148,221,557 bytes)
Downloads
8,658 (2 today)
MD5 Hash
c0de7adcedacac70d0c0cd3795de1a9e
Embed Button
Embed Widget
Description

RCOM Beta v.1.0.6 has been released. DOWNLOAD IS NOW THE FIXED VERSION! Sorry for any inconvenience that was caused. I'd like to point out that in the preview picture that a merc was a sacrafice the zone required for the release of RCOM v.1.0.6.

Preview
RCOM Beta v.1.0.6
Comments  (0 - 50 of 58)
Genghis91
Genghis91

will be downloading and playing this later in the day.

Thanks Mac really looking forward to this ;)

Reply Good karma Bad karma+1 vote
MacBradley Author
MacBradley

No problem. I just hope that there aren't any crashes left. Until this week I didn't have much time for modding, and much of the crash fixing was spread out and I didn't properly write down all the fixes as I went; I did it by memory, which isn't always perfect hehe.

Reply Good karma+1 vote
*Cocoon*
*Cocoon*

Great! I can just install this and continue my game right ?

Reply Good karma Bad karma0 votes
MacBradley Author
MacBradley

You'll probably have to start a new game, although that's not guaranteed.

Reply Good karma+1 vote
drmnky
drmnky

This version (1.0.6) doesn't work at all for me. When I choose 'start new game' it crashes ('X-RAY engine has stopped working') before it finishes loading.

I tried re-installing the entire game, and this didn't fix it. Version 1.0.5 works fine for me, so I guess it's caused by some change that you made.

Reply Good karma Bad karma+1 vote
Galahad56
Galahad56

Same error as drmnky. I am keen to give this mod a go, and give my next run through COP a bit of a twist.

Ty for the work and look forward to a fix for 1.0.6

Reply Good karma Bad karma+1 vote
MacBradley Author
MacBradley

*!&$! really? I started a new game right before uploading it to make sure. Could you guys get it to crash, and then the crash report will be one your clipboard so you can paste it in a comment. That would help a ton.

Reply Good karma+1 vote
drmnky
drmnky

I sent the report to you in a private message, since this comment box won't allow words over 50 chars for some reason.

Reply Good karma Bad karma+1 vote
*Cocoon*
*Cocoon*

What ? A new game ? Nooooooooooo

Reply Good karma Bad karma0 votes
*Cocoon*
*Cocoon*

I've tried loading a game: Dont work.
I've tried start a new game: Dont work.

Reply Good karma Bad karma0 votes
MacBradley Author
MacBradley

I discovered the problem. Fixed version will be up in a couple minutes.

Reply Good karma+1 vote
Galahad56
Galahad56

I must say i am impressed with the speed at which you have tried to correct the problem. I haven't downloaded the new version of 1.0.6 yet but i was wondering if you could identify what the problem was if its not too much to ask... just interested.

Ill be playing this tonight, thanks again.

Reply Good karma Bad karma+1 vote
MacBradley Author
MacBradley

Delete level_weathers.script and that alone will probably fix it. I re uploaded the working copy to be safe though.

Reply Good karma+1 vote
Galahad56
Galahad56

About to play and will try doing that first to save me downloading the entire thing again.

Thanks again

Reply Good karma Bad karma+1 vote
Galahad56
Galahad56

Just deleted level_weathers.script and relaunched the game. I was then able to create a new game :D.

So for any of you who downloaded the version 1 of 1.0.6, this will save you downloading the new version.

Reply Good karma Bad karma+1 vote
drmnky
drmnky

It works fine now! Thanks for the quick fix.

Also, reinstalling stalker massively improved my graphics for some reason, so it's all good :)

Reply Good karma Bad karma+1 vote
MacBradley Author
MacBradley

No prob guys. Glad you can fix it yourself as well without downloading the whole thing again.

Reply Good karma+1 vote
JPJ5624
JPJ5624

Great work, MacBradley! I've started a new game and it gets really intense at parts. Combat is a hell of a lot better than vanilla. The only thing I can think that could improve this would be to lower the hit_impulse settings because targets often get blown back unrealistically by pretty much every weapon. Though this would only be necessary if your going for an ultimate realism mod so it's not an important issue, just a suggestion.

Reply Good karma Bad karma+1 vote
MacBradley Author
MacBradley

Glad you like the combat! :)

I reduced the impulses a TON from vanilla, but left a bit in there since it didn't alter gameplay and wasn't out of control now. Maybe I'll change it for the final version, not sure though.

Reply Good karma+1 vote
*Cocoon*
*Cocoon*

I've tried the new version with an old verion save and seems to work pretty well. The problem is that the monolith renegade quest is still half bugged, for some reason if you dont take the reward it works, otherwise it crash.

Reply Good karma Bad karma0 votes
MacBradley Author
MacBradley

unfortunately, some bugs will remain if a new game is not started.

Reply Good karma+2 votes
Zebz213
Zebz213

When I use this all my menu's are messed up and when I try to look at weapon descriptions they are all messed up and don't help me in any way...Anyone know whats wrong? I do use this mod alone no other mods

Reply Good karma Bad karma+1 vote
MacBradley Author
MacBradley

I've heard of similiar with other mods. I actually had this issue once a using a CS mod once. If I recall, it has something to do with the texture setting in the options. Sounds weird, but try adjusting that then get back to me.

Reply Good karma+1 vote
sWanker(Rabbi)
sWanker(Rabbi)

The bloodsucker quest worked fine for me, but any quest from Loki (bar the armorey quest) causes the game to crash. When I speak to him about Flint or hand over Tachenko's PDA the game crashes.
Xray entry for both of the crashes is the same:

[error]Arguments : Can't open section 'ammo_12.7×33mm_AE'. Please attach... etc.

Reply Good karma Bad karma+1 vote
Drevo_cz
Drevo_cz

This is bad bug. You must find this caliber in configs and rename it to ammo_12.7×33mm_ae. It is hard but I manage to fix it. There is ammo ammo_12.7×33mm_AE amd (same) ammo_12.7×33mm_ae which is not compatible with _AE. It is case sensitive.

trade_generic
trade_jup_b202_stalker_barmen
trade_zat_b30_stalker_trader
weapons
weapons_bak

find id and rename to "ae" at the end.

Reply Good karma Bad karma+1 vote
Drevo_cz
Drevo_cz

well i have this bug again, so I dont fox it. Damn

Reply Good karma Bad karma+1 vote
MacBradley Author
MacBradley

This bug was actually brought to my attention before and is fixed in the current working build. Regardless, thank you for the bug reports. They REALLY help given this mod is a BETA and I spend far more time modding than I do playing or play testing.

I will upload a fix very soon instead of waiting for the next release. Thanks for your patients everyone. :)

Reply Good karma+1 vote
Drevo_cz
Drevo_cz

well I solve it by just delete this ammo from Jupiter trader.

> trade_jup_b202_stalker_barmen

and maybe that renaming helped too.
I am Duty friend so trader update is OK for them. Dont know about freedom.

Reply Good karma Bad karma+1 vote
PeeWee_89
PeeWee_89

Looks great, i kept away from CoP for awhile... To get the taste of vanilla out of my mouth, but this makes it worth coming back! :)

Reply Good karma Bad karma0 votes
nonregistered_user
nonregistered_user

just a heads up, this doesn't play nice with AtmosFear 2

Reply Good karma Bad karma+1 vote
MacBradley Author
MacBradley

I've only attempted it with AtmosFear 1.3, so there might be issues. For the next release (not patch) of RCOM there will be an option to install AtmopFear 2 along with it, since so many users use AtmosFear 2.

Reply Good karma+1 vote
JStash
JStash

Great mod, probably the best one I've played for CoP. I really enjoyed using AtmosFEAR 2, but as you know they don't run well together, and yours is a must. So any idea when the next version will be released that is compatible with AtmosFEAR 2?

Keep up the good work.

Reply Good karma Bad karma+1 vote
MacBradley Author
MacBradley

I know people hate to hear it, but "when it's done." Definitely by the new year is all I can say, because that is a personal deadline where I'll just have to stop and release what's done.

Reply Good karma+1 vote
JStash
JStash

I'm really looking forward to it.

Thanks for the reply.

Reply Good karma Bad karma+1 vote
MacBradley Author
MacBradley

No Problem. :)

Reply Good karma+1 vote
shaskar
shaskar

I have a bug in the bloodsuckers mission at zaton.
Faisan (name of the stalker in french) stay near the elevator but he doesn't open it, so it's impossible to continue.
Tof.canardpc.com

Reply Good karma Bad karma+1 vote
MacBradley Author
MacBradley

This is a known bug. It will be fixed in the next version's release.

Reply Good karma+1 vote
gamertürk
gamertürk

clear sky maps in there 1.0.6 ?? or where is enter clear sky maps?

Reply Good karma Bad karma+1 vote
MacBradley Author
MacBradley

Not in v.1.0.6, there in the current working build.

Reply Good karma+1 vote
gamertürk
gamertürk

why this in completed work list??

Reply Good karma Bad karma+1 vote
MacBradley Author
MacBradley

The question is a little vague, but I think I know what you mean. The mod is labeled as a "released" mod because Beta's of RCOM have been released.

The features lists and summaries for the released versions don't claim to have maps in them. If there is a mistake of that, please provide me the exact location so it may be corrected.

Reply Good karma+1 vote
TombowskijVolk
TombowskijVolk

Hi,
that mod looks great.
Can i continue my savegame from vanilla? And is this version compatible with alundaios various ai mod v1.07?
It would be great if you could implement it in the next versions, because it has some really nice features like Squadmates.

Reply Good karma Bad karma+1 vote
MacBradley Author
MacBradley

You'll probably need to start a new game, although a saved game might be fine, although it could have problems hours into play due to not starting a new game, unfortunately.

Alundaio's AI mod isn't included in this version, but many similar things are done with RCOM's AI and Aludaio's AI, and they both also contain things from each other in part.

Strictly overwriting RCOM files with Alundaio will cause problems, although if you feel confident enough script merging, it shouldn't be too much work to make sure everything that in the shared files from RCOM get put into the Aludaio's files.

I've been planning on adding in some Alundaio AI features not in RCOM already, but I have to make sure Alundaio's AI is stable, or if not attempt to fix it's crashes myself.

Reply Good karma+1 vote
Prone
Prone

Could anyone tell me how to get the vanilla HUD back?
I can't for the life of me find the HUD files in RCOM.

Reply Good karma Bad karma+1 vote
NikolaiChekhov
NikolaiChekhov

I've got a bug where the Skadovsk is closed down, and there's a repeated message of Bear saying: "Attention Stalkers, the doors of the Skadovsk are open to you once more" all the while not opening. Any idea how to fix this, or do I have to start a new game?

Reply Good karma Bad karma+2 votes
MacBradley Author
MacBradley

I replied to your message on this. It is gamebreaking, so I will post an update #2 once I find the problem.

Reply Good karma+1 vote
narwhals!
narwhals!

I have the same problem, is there a fix?

Reply Good karma Bad karma+1 vote
fran54
fran54

Mod is great but it gets in troubles on every trip Yanov-Zaton or Zaton-Yanov crashing lot of times.. almost giving up

the error message it gives

Expression : fatal error
Function : out_of_memory_handler
File : D: \prog_repository\ sources\ trunk\ xrCore\ xrDebugNew.cpp
Line : 336
Description : <no expression>
Arguments : Out of memory. Memory request: 58611 K

or

Expression : fatal error
Function : CInifile::r_section
File : D:\ prog_repository\ sources\ trunk\ xrCore\ Xr_ini.cpp
Line : 502
Description : <no expression>
Arguments : Can't open section 'wpn_ak74um'. Please attach [*.ini_log] file to your bug report

or

Expression : fatal error
Function : out_of_memory_handler
File : D:\ prog_repository\ sources\ trunk\ xrCore\ xrDebugNew.cpp
Line : 336
Description : <no expression>
Arguments : Out of memory. Memory request: 58611 K

and a few more like that

I'm running it on a Core I7-860, 4GB memory and Radeon 6870

Reply Good karma Bad karma+1 vote
fran54
fran54

Ops dup report

Las one was this

File : D:\ prog_repository\ sources\ trunk\ xrServerEntities\ script_storage.cpp
Line : 748

Description : ... pripyat\ gamedata\ scripts\ xr_corpse_detection .script :346: bad argument #1 to 'random' (interval is empty)

hope that helps for something

Reply Good karma Bad karma+1 vote
sdkillah
sdkillah

i have broblem with deagle.. it doesnt reload? heeelp!

Reply Good karma Bad karma+2 votes
MacBradley Author
MacBradley

The Desert Eagle can use .45 rounds or .50 rounds, but to use .50 rounds it needs brought to a tech. The one at the beginning of the game can't use the ammo in your inventory, because those are just left over from me testing the different ammo types to make sure they both worked when they should and shouldn't.

Reply Good karma+1 vote
Post a comment
Sign in or join with:

Only registered members can share their thoughts. So come on! Join the community today (totally free - or sign in with your social account on the right) and join in the conversation.

Icon
S.T.A.L.K.E.R.: Call of Pripyat
Creator
MacBradley
Contact
Send Message
Homepage
Gsc-game.com
Release date
Mod watch
Start tracking
Download
Browse
Downloads
Share
Related Games
S.T.A.L.K.E.R.: Call of Pripyat
S.T.A.L.K.E.R.: Call of Pripyat First Person Shooter